Get a Virtual Account
curl --request GET \
--url https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID} \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID}"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/customers/{customerID}/virtual_accounts/{virtualAccountID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"status": "activated",
"developer_fee_percent": "0.1",
"fee_config": {
"source": {
"default": {
"fee_percent": "0.5",
"minimum_fee": "1.00"
},
"wire": {
"fee_amount": "10.00",
"fee_percent": "1.0"
}
}
},
"customer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"source_deposit_instructions": {
"currency": "usd",
"payment_rails": [
"ach_push",
"fednow",
"wire"
],
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Customer Name",
"bank_beneficiary_address": "1234 Main St., Kansas City, MO 64108",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
},
"destination": {
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
}
}Virtual Accounts
Get a Virtual Account
Retrieve the Virtual Account object from the passed ID
GET
/
customers
/
{customerID}
/
virtual_accounts
/
{virtualAccountID}
Get a Virtual Account
Authorizations
Path Parameters
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Response
200 - application/json
Successful Virtual Account object response
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*The activation status of the Virtual Account
Available options:
activated, deactivated The developer fee percent that will be applied to this Virtual Account. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.
Example:
"0.1"
Developer fee configuration. Available by request only and returned only for developers with this feature enabled.
Show child attributes
Show child attributes
A UUID that uniquely identifies a resource
Required string length:
1 - 42Pattern:
[a-z0-9]*Time of creation of the virtual account
- Virtual Account US
- Virtual IBAN
- Virtual Account MX
- Virtual Account BR
- Virtual Account UK
- Virtual Account CO (Bre-B)
Show child attributes
Show child attributes
Example:
{
"currency": "usd",
"payment_rails": ["ach_push", "fednow", "wire"],
"bank_name": "Lead Bank",
"bank_address": "1801 Main St., Kansas City, MO 64108",
"bank_beneficiary_name": "Customer Name",
"bank_beneficiary_address": "1234 Main St., Kansas City, MO 64108",
"bank_account_number": "123456789",
"bank_routing_number": "87654321"
}
Show child attributes
Show child attributes
Example:
{
"currency": "usdc",
"payment_rail": "polygon",
"address": "0xdeadbeef"
}
Was this page helpful?